// Change the weights of the selected text
// to a gradient of thin to black
// in LTR NCND
// v 1.0 LettError.com 2023
// Provided as is, to licensees of 
// LTR NCND. No guarantees.

app.selection[0].appliedFont = "NCND10VF"
var selectedText = app.selection[0].characters;
var t = selectedText[0];
var myDesignAxesValues = t.appliedFont.designAxesValues;

var w0 = 250;
var w1 = 900;

var wstep = (w1-w0)/selectedText.length;

for (s=0; s<selectedText.length; s++){
    myDesignAxesValues[0]=(w0+wstep*s);
    selectedText[s].designAxes=myDesignAxesValues;
}